package de.ozgcloud.apilib.common.command;

import org.mapstruct.ObjectFactory;

import de.ozgcloud.common.datatype.StringBasedValue;

public class OzgCloudCommandId extends StringBasedValue {

	OzgCloudCommandId(String commandId) {
		super(commandId);
	}

	@ObjectFactory
	public static OzgCloudCommandId from(String commandId) {
		return new OzgCloudCommandId(commandId);
	}
}
