package de.ozgcloud.apilib.user;

import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

import de.ozgcloud.user.userprofile.GrpcUserProfile;
import lombok.NonNull;

@Mapper
public interface UserProfileMapper {

	@Mapping(target = "email", source = "email")
	OzgCloudUserProfile mapFromGrpc(GrpcUserProfile userProfile);

	default OzgCloudUserId toOzgCloudUserId(@NonNull String id) {
		return OzgCloudUserId.from(id);
	}

}
