package de.ozgcloud.apilib.vorgang;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.apilib.vorgang.OzgCloudVorgangQuery.Expression;
import de.ozgcloud.apilib.vorgang.OzgCloudVorgangQuery.Expression.ComparsionOperator;
import de.ozgcloud.apilib.vorgang.OzgCloudVorgangQuery.Expression.ExpressionBuilder;

public class ExpressionTestFactory {

	public static final int OPERAND_INT_VALUE = (int) (Math.random() * 100);
	public static final String PATH = LoremIpsum.getInstance().getWords(1);
	public static final ComparsionOperator OPERATOR = ComparsionOperator.EQUAL;

	public static Expression create() {
		return createBuilder().build();
	}

	public static ExpressionBuilder createBuilder() {
		return Expression.builder()
				.operator(OPERATOR)
				.path(PATH)
				.operandIntValue(OPERAND_INT_VALUE);
	}

}
