package de.ozgcloud.apilib.vorgang;

import de.ozgcloud.apilib.vorgang.OzgCloudVorgangQuery.Expression;
import de.ozgcloud.apilib.vorgang.OzgCloudVorgangQuery.LogicalOperator;
import de.ozgcloud.apilib.vorgang.OzgCloudVorgangQuery.Query;
import de.ozgcloud.apilib.vorgang.OzgCloudVorgangQuery.Query.QueryBuilder;

public class QueryTestFactory {

	public static final LogicalOperator LOGICAL_OPERATOR = LogicalOperator.OR;
	public static final Expression EXPRESSION = ExpressionTestFactory.create();

	public static Query create() {
		return createBuilder().build();
	}

	public static QueryBuilder createBuilder() {
		return Query.builder()
				.expression(EXPRESSION)
				.logicalOperator(LOGICAL_OPERATOR);
	}

}
